Bug 829377 (CVE-2012-1726)

Summary: CVE-2012-1726 OpenJDK: java.lang.invoke.MethodHandles.Lookup does not honor access modes (Libraries, 7165628)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: ahughes, aph, dbhole, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20120612,reported=20120606,source=oracle,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:P/A:N,rhel-5/java-1.6.0-openjdk=notaffected,rhel-5/java-1.6.0-sun=notaffected,rhel-6/java-1.6.0-openjdk=notaffected,rhel-6/java-1.6.0-sun=notaffected,rhel-6/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-19 06:14:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 828757, 828758, 828759, 828760, 856471, 856472, 856473    
Bug Blocks: 824458    

Description Stefan Cornelius 2012-06-06 10:57:46 EDT
It was discovered that java.lang.invoke.MethodHandles.Lookup did not properly honor access modes. An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2012-06-13 05:38:51 EDT
Public now via:
http://www.oracle.com/technetwork/topics/security/javacpujun2012-1515912.html

Fixed in Oracle Java 7 Update 5.

The fix for this issue will be included in the following IcedTea versions:

* IcedTea7 2.1.1
* IcedTea7 2.2.1

Patch:
http://icedtea.classpath.org/hg/release/icedtea7-forest-2.1/jdk/rev/d2e50959da60
Comment 3 errata-xmlrpc 2012-06-20 11:15:32 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1019 https://rhn.redhat.com/errata/RHSA-2012-1019.html
Comment 4 errata-xmlrpc 2012-06-20 11:19:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1009 https://rhn.redhat.com/errata/RHSA-2012-1009.html
Comment 5 errata-xmlrpc 2012-09-18 18:53:02 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1289 https://rhn.redhat.com/errata/RHSA-2012-1289.html